Retrieve Annotation Type Metadata
Retrieves the metadata of an annotation type, including metadata and value sets for all supported fields on the annotation type. Learn more about annotation types.
GET
/api/{version}/metadata/objects/documents/annotations/types/{annotation_type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{annotation_type}required | The name of the annotation type. Valid annotation types include:
|
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/metadata/objects/documents/annotations/types/note__sys' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "note__sys",
"allows_replies": true,
"allowed_placemark_types": [
"arrow__sys",
"ellipse__sys",
"page_level__sys",
"rectangle__sys",
"sticky__sys",
"text__sys"
],
"allowed_reference_types": [],
"fields": [
{
"name": "created_by_delegate_user__sys",
"type": "String",
"system_managed": true,
"value_set": []
},
{
"name": "created_by_user__sys",
"type": "String",
"system_managed": true,
"value_set": []
},
{
"name": "created_date_time__sys",
"type": "DateTime",
"system_managed": true,
"value_set": []
},
{
"name": "document_version_id__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "external_id__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "id__sys",
"type": "String",
"system_managed": true,
"value_set": []
},
{
"name": "modified_by_user__sys",
"type": "String",
"system_managed": true,
"value_set": []
},
{
"name": "modified_date_time__sys",
"type": "DateTime",
"system_managed": true,
"value_set": []
},
{
"name": "persistent_id__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "title__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "color__sys",
"type": "String",
"system_managed": false,
"value_set": [
"yellow_light__sys",
"green_dark__sys",
"green_light__sys",
"orange_dark__sys",
"orange_light__sys",
"pink_dark__sys",
"pink_light__sys",
"purple_dark__sys",
"purple_light__sys",
"red_dark__sys",
"red_light__sys",
"yellow_dark__sys"
]
},
{
"name": "comment__sys",
"type": "String",
"system_managed": false,
"value_set": []
},
{
"name": "original_source_document_version_id__sys",
"type": "String",
"system_managed": true,
"value_set": []
},
{
"name": "reply_count__sys",
"type": "Number",
"system_managed": true,
"value_set": []
},
{
"name": "state__sys",
"type": "String",
"system_managed": false,
"value_set": [
"open__sys",
"resolved__sys"
]
},
{
"name": "tag_names__sys",
"type": "String list",
"system_managed": false,
"value_set": []
},
{
"name": "type__sys",
"type": "String",
"system_managed": false,
"value_set": [
"note__sys"
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes a list of metadata information for the specified annotation type. Each response may include some or all of the following fields depending on type:
| Field | Description |
|---|---|
allows_replies | if true, this annotation type allows replies. |
allowed_placemark_types | A list of placemark types this annotation type allows. Learn more about placemark types. |
allowed_reference_types | A list of reference types that this annotation type allows. Learn more about reference types. |
fields | A list of fields configured on the annotation type. For more details about annotation fields, see Read Annotations by Document Version and Type. |